Subject: [OSPF] Dynamic Hostname Exchange Mechanism for OSPF - draft-venkata-ospf-dynamic-hostname-02.txt

From: Acee Lindem <[email-masked]>
Date: Thu, 20 Mar 2008 16:02:19 -0400

This draft was presented in Vancouver and with an update in  
Philadelphia. At both WG meetings there was interest in making this a  
WG document and no opposition. Is there any one now who has a  
compelling reason why this should not be a WG document? If not, I  
plan to have the authors submit it as a WG document on Monday. Note  
that there will be plenty of time to comment on the technical  
contents of the draft. 
_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Mar 2008 21:19:07 -0000

Acee,

I missed the last two OSPF meetings because of agenda clashes, and I haven't 
seen much discussion on the list.

I support the idea of being able to exchange a textual name for routers, and 
having this I-D in the working group may provide a way to get the mechanism 
right.

I am worried as Nitin was about the idea of using the RI LSA since the name 
of a router is not a router capability. And we wouldn't want the 255 byte 
reflooded every time some other routing capability was modified. Indeed, the 
consumer of the router name is unlikely to be the IP routing and forwarding 
component. So the information should be moved to some other LSA that can be 
handled with different refresh rules and potentially moved into a separate 
OSPF instance per

I note that you said
> This isn't the type of information we are envisioning needing
> to be split out. It is only a single name and will be an optional
> TLV for an existing LSA. The separate instance would be
> more for flooding larger volumes of non-routing information
> associated with new applications (once we have this instance,
> it also would be nice to move some existing opaque LSAs to
> it as well).

The fact that it is optional for an LSA, doesn't seem relevant. Once it is 
in the LSA it has to be flooded.

Additionally, this could well be the thin end of the wedge. Wouldn't it be 
useful for network management tools if the routers flooded some geographical 
coordinate? Wouldn't it be handy for operators if the postal address and 
phone number of the maintenance site were flooded? Where will this lead?

Take the clean approach now. Recognise that information not used for IP 
routing does not belong in the primary instance of the IGP.

So, I guess I give you a qualified "yes" to your question. Make this a WG ID 
if the debate about moving the information out of the RI LSA is still open.

Cheers,
Adrian

----- Original Message ----- 
From: "Acee Lindem" <[email-masked]>
To: "OSPF List" <[email-masked]>
Sent: Thursday, March 20, 2008 8:02 PM
Subject: [OSPF] Dynamic Hostname Exchange Mechanism for 
OSPF -draft-venkata-ospf-dynamic-hostname-02.txt

---

From: Acee Lindem <[email-masked]>
Date: Thu, 20 Mar 2008 18:10:23 -0400

Hi Adrian,

Historically, the draft/RFC is titled router capabilities but you'll  
note that the actual name of the LSA is the RI (Router Information  
LSA). I do believe that the system name fits in the category of  
information and it WILL be used in OSPF for routing - not directly  
for calculating OSPF routes but for debugging networks when routing  
doesn't work. Hence, IMHO, it satisfies both the criteria for  
inclusion in the default instance and the criteria for inclusion in  
the OSPF RI LSA. Like most of the other information in the RI LSA,  
I'd expect it be fairly static.

Thanks,
Acee

---

From: Danny McPherson <[email-masked]>
Date: Fri, 21 Mar 2008 07:32:47 -0600

> I'd expect it be fairly static.

And this is indeed why it's been defined as such.

-danny